SDL_GetWindowProgressValue(3)

NAME
SDL_GetWindowProgressValue - Get the value of the progress bar for the given window’s taskbar icon.

SYNOPSIS
#include <SDL3/SDL_video.h>

float SDL_GetWindowProgressValue(SDL_Window *window);

FUNCTION PARAMETERS

window
    the window to get the current progress value from.

RETURN VALUE
Returns the progress value in the range of [0.0f - 1.0f], or -1.0f on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.4.0.